#
# spec file for package yast2-module-backup (Version 2.5.23)
#
# Copyright (c) 2002 SuSE Linux AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  autoconf automake dejagnu expect libscr liby2 libycp libycp-devel libyui tcl yast2-agent-system yast2-base yast2-core-scr yast2-core-wfm yast2-devtools yast2-lib-wizard yast2-testsuite ycpdoc
# usedforbuild    aaa_base aaa_dir aaa_version autoconf automake base bash bindutil binutils bison bzip cpio cpp cracklib cyrus-sasl db dejagnu devs diffutils e2fsprogs expect file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel glibc-locale gpm gppshare grep groff gzip kbd less libscr libtool liby2 libycp libycp-devel libyui libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel pam-modules patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit tcl texinfo textutils timezone unzip util-linux vim yast2-agent-system yast2-base yast2-core-scr yast2-core-wfm yast2-devtools yast2-lib-wizard yast2-testsuite ycpdoc

Name:         yast2-module-backup
        
Version:      2.5.23
Release:      0
Copyright:    (c) 2001 SuSE GmbH
Group:        System/YaST
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
Source0:      yast2-module-backup-2.5.23.tar.bz2
Summary:      YaST2 - component for backing up the system
BuildArchitectures:	noarch
Requires:     yast2 yast2-trans-backup yast2-lib-wizard yast2-lib-sequencer perl util-linux fileutils e2fsprogs

%description
This package contains module which searches for changed files and backups them.

Authors:
--------
    Ladislav Slezak <lslezak@suse.cz>

SuSE series: yast

%prep
%setup -n yast2-module-backup-2.5.23

%build
./configure
make

%install
[ "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != "/" ] && rm -rf "$RPM_BUILD_ROOT"
make install DESTDIR="$RPM_BUILD_ROOT"
Y2DIR="$RPM_BUILD_ROOT/usr/lib/YaST2" make check

%clean
[ "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != "/" ] && rm -rf "$RPM_BUILD_ROOT"

%files
%defattr(-,root,root)
%dir /usr/lib/YaST2/include/backup
/usr/lib/YaST2/scrconf/proc_filesystems.scr
/usr/lib/YaST2/include/backup/*
/usr/lib/YaST2/clients/backup*.ycp
/usr/lib/YaST2/bin/backup_*
/usr/lib/YaST2/modules/Backup.ycp
/usr/lib/YaST2/menuentries/menuentry_backup.y2cc
%doc /usr/share/doc/packages/yast2-module-backup

%changelog -n yast2-module-backup
* Thu Jun 06 2002 - lslezak@suse.cz
- do not use '-b' tar option - multivolume archive created
  with -b 4 option is broken and can't read by tar (bug #16491),
  use default block size (minimum archive size is 10kiB now)
- version 2.5.23
* Wed Apr 17 2002 - lslezak@suse.cz
- backup files with new line character in file name (bug #15259)
- version 2.5.22
* Wed Mar 13 2002 - lslezak@suse.cz
- accept `cancel - close by WM is possible
- version 2.5.21
* Fri Mar 08 2002 - lslezak@suse.cz
- added missing _() in combo box texts (archive type option)
- version 2.5.20
* Mon Mar 04 2002 - lslezak@suse.cz
- changed icon in Y2CC to system.png
- version 2.5.19
* Mon Mar 04 2002 - lslezak@suse.cz
- supports test mode
- version 2.5.18
* Wed Feb 20 2002 - lslezak@suse.cz
- display message to see details in summary dialog if some
  error occur
- added help text (bug #13587) - changed files from packages
  are backed up default
- version 2.5.17
* Mon Feb 18 2002 - lslezak@suse.cz
- .run.mktemp replaced by .target.tmpdir
- added check if archive already exists
- version 2.5.16
* Mon Feb 18 2002 - kkaempf@suse.de
- provide proc_filesystems.scr config file.
* Thu Feb 14 2002 - lslezak@suse.cz
- archive file name must have absolute path (for relative path
  used user have to know which directory is current -> problem if
  backup module is started from KDE)		(bug #13231)
* Mon Feb 11 2002 - lslezak@suse.cz
- added missing rich text tag
- updated COPY* files
- version 2.5.13
* Fri Feb 01 2002 - lslezak@suse.cz
- fixed edit dialog: default 'OK' button, TextEntry widget has focus
- set default excluded iso9660 and "nodev" file systems (from /proc/filesystems)
- texts from proofreading
- version 2.5.12
* Mon Jan 28 2002 - lslezak@suse.cz
- Abort confirmation changes
- version 2.5.11
* Fri Jan 25 2002 - lslezak@suse.cz
- better check of user defined volume size
- display device mount point in Ext2 system backup dialog
- testsuite changes
- version 2.5.10
* Mon Jan 14 2002 - lslezak@suse.cz
- help text paragraph parts joined to one string
- version 2.5.9
* Thu Jan 03 2002 - lslezak@suse.cz
- small bugfixes
- tar multi volume archive: block size changed to 4
- documetation update
- version 2.5.8
* Wed Dec 19 2001 - lslezak@suse.cz
- do not create volumes larger than specified
- storing files which do not belong to any package fixed
- reporting all created volumes in summary fixed
- version 2.5.7
* Tue Dec 18 2001 - lslezak@suse.cz
- format of backup archive was changed to package oriented archive
- target archive is tar
- changed creation of multi volume archives
- Progress module used
- version 2.5.6
* Tue Dec 04 2001 - lslezak@suse.cz
- added 3rd parameter in select() call
- version 2.5.5
* Mon Dec 03 2001 - lslezak@suse.cz
- summary dialog fixes
- storing only list of found files is possible
- device/inode numbers are used in searching files
  not owned by any package
- documentation: *.ui files moved to ui.tar.bz2
- version 2.5.4
* Thu Nov 22 2001 - lslezak@suse.cz
- added option for RPM MD5 test
- added missing modules/Backup.ycp entry in spec file
- version 2.5.3
* Thu Nov 22 2001 - lslezak@suse.cz
- changed to YaST2 modules: created Backup::
- version 2.5.2
* Fri Nov 09 2001 - lslezak@suse.cz
- multi volume archive support
- added help texts
- version 2.5.1
* Tue Oct 16 2001 - lslezak@suse.cz
- initial version
